Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.importer.event
Class OsgiServiceDependencyEvent

    java.lang.Object
      java.util.EventObject
          org.springframework.context.ApplicationEvent
              org.eclipse.gemini.blueprint.service.importer.event.OsgiServiceDependencyEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  OsgiServiceDependencyWaitEndedEvent, OsgiServiceDependencyWaitStartingEvent, OsgiServiceDependencyWaitTimedOutEvent

    public abstract class OsgiServiceDependencyEvent

extends org.springframework.context.ApplicationEvent

Base event type used for sending dependencies notifications. Usually these are sent by Spring-DM OSGi importers.

Author:
  Costin Leau
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`OsgiServiceDependencyEvent(Object source, OsgiServiceDependency dependency)` Constructs a new `OsgiServiceDependencyEvent` instance.

Method Summary
`OsgiServiceDependency` | `getServiceDependency()` Returns the OSGi service dependency filter for which this event is triggered.

Methods inherited from class org.springframework.context.ApplicationEvent
`getTimestamp`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OsgiServiceDependencyEvent

    public OsgiServiceDependencyEvent(Object source,
                                      OsgiServiceDependency dependency)

  Constructs a new `OsgiServiceDependencyEvent` instance.

  Parameters:
    `source` - event source (usually the service importer)
    `dependency` - dependency description

Method Detail

### getServiceDependency

    public OsgiServiceDependency getServiceDependency()

  Returns the OSGi service dependency filter for which this event is triggered.

  Returns:
    Returns the dependencyServiceFilter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.